### Method

# Gimp Image find_next_sample_point

since: 2.10

#### Declaration [src]

    guint
    gimp_image_find_next_sample_point (
      GimpImage* image,
      guint sample_point
    )

#### Description [src]

Find next sample point on an image.

This procedure takes an image and a sample point ID as input and finds the sample point ID of the successor of the given sample point ID in the image’s sample point list. If the supplied sample point ID is 0, the procedure will return the first sample point. The procedure will return 0 if given the final sample point ID as an argument or the image has no sample points.

Available since: 2.10

#### Parameters

`sample_point`

  Type: `guint`

  The ID of the current sample point (0 if first invocation).

#### Return value

Type: `guint`

The next sample point’s ID.